Skip to content

Retrieve the breached credential protection configuration

Request

OAuth 2.0 scope:
  • okta.breachedCredentialProtection.read

Retrieves the breached credential protection configuration for your org

GET
/api/v1/breached-credential-protection/configuration
curl -i -X GET \
  https://subdomain.okta.com/api/v1/breached-credential-protection/configuration

Responses

OK

Bodyapplication/json
detectionMethodstring(BreachedCredentialDetectionMethod)required

The breach detection method used for breached credential protection

Enum ValueDescription
STANDARD

Detects breached credentials using a limited data feed of credentials leaked in third-party breaches. Provides baseline coverage with a lower volume of detections.

ENHANCED

Detects breached credentials using a larger data feed for broader coverage across a wider range of breaches. Provides stronger protection with a higher volume of detections.

Response
{ "detectionMethod": "STANDARD", "_links": { "self": {} } }